#!/bin/sh
#
# $Id: runjlstm.sh,v 1.7 2005/07/03 10:12:28 mhe Exp $
#

experiment=fold
#experiment=superfamily

datadir=datasets/SCOP167-$experiment

# ROC50
rocn=50

# number of threads
nthreads=16

# nice level
nice=19

classpath="lib/biojava-1.6.jar:lib/bytecode.jar:jlstm.jar"

for data in $datadir/pos-train.*.fasta; do

    tmp=${data%.fasta}
    tmp=${tmp#*$datadir/}
    sid=${tmp##pos-train.}


    #if [ ! -e out/out.$sid.txt ]; then

        #touch out/out.$sid.txt

        # copy template properties
        cp JLSTM.$experiment.properties JLSTM.benchmark.properties

        # replace placeholder with current sequence file
        perl -pi -e "s#XXXpostrainXXX#$datadir/pos-train.$sid.fasta#g" JLSTM.benchmark.properties
        perl -pi -e "s#XXXpostestXXX#$datadir/pos-test.$sid.fasta#g" JLSTM.benchmark.properties
        perl -pi -e "s#XXXnegtrainXXX#$datadir/neg-train.$sid.fasta#g" JLSTM.benchmark.properties
        perl -pi -e "s#XXXnegtestXXX#$datadir/neg-test.$sid.fasta#g" JLSTM.benchmark.properties

        # run training

        echo $sid

        cat /dev/null >  out.txt

        nice -n $nice java -classpath $classpath at.jku.bioinf.jlstm.JLSTM -p JLSTM.benchmark.properties -w wm.mat -t $nthreads

        mv out.txt out/out.$sid.txt
        mv wm.mat wms/weight.$sid.mat

        rm JLSTM.benchmark.properties

    #fi

done

# collect results
for i in out/*.txt; do tail -n 5 $i|grep "TEST: ROC "; done > roc.txt
for i in out/*.txt; do tail -n 5 $i|grep "TEST: ROC$rocn"; done > roc$rocn.txt
